package singleton;

import javax.swing.JOptionPane;
import singleton.audio.AudioPlayer;

public class Main {

    public static void main(String[] args) {
        String audio = "picapau.wav";
        if ( args.length == 1 )
            audio = args[ 0 ];        
        
        try {
            AudioPlayer.getInstance().play( audio ); 
        } catch (Exception ex) {
            JOptionPane.showMessageDialog( null, ex.getMessage() );
        }
    }
}
